/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreMissingmaster;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreMissingmasterRecord extends UpdatableRecordImpl<TCoreMissingmasterRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_missingmaster.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingmaster.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_missingmaster.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingmaster.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_missingmaster.fk_lang</code>.
     */
    public void setFkLang(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingmaster.fk_lang</code>.
     */
    public String getFkLang() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_missingmaster.reproducible</code>. Is
     * this missing reprocudible (is it a jump missing or such)?
     */
    public void setReproducible(Boolean value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_missingmaster.reproducible</code>. Is
     * this missing reprocudible (is it a jump missing or such)?
     */
    public Boolean getReproducible() {
        return (Boolean) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreMissingmasterRecord
     */
    public TCoreMissingmasterRecord() {
        super(TCoreMissingmaster.T_CORE_MISSINGMASTER);
    }

    /**
     * Create a detached, initialised TCoreMissingmasterRecord
     */
    public TCoreMissingmasterRecord(LocalDateTime lastchange, Integer pk, String fkLang, Boolean reproducible) {
        super(TCoreMissingmaster.T_CORE_MISSINGMASTER);

        setLastchange(lastchange);
        setPk(pk);
        setFkLang(fkLang);
        setReproducible(reproducible);
        resetChangedOnNotNull();
    }
}
